/// <reference types="react" />
import * as React from 'react';
export declare enum EDirection {
    LEFT = "left",
    RIGHT = "right",
}
export declare enum EColor {
    RED = "red",
    ORANGE = "orange",
    YELLOW = "yellow",
    GREEN = "green",
    LIGHTBLUE = "lightBlue",
    BLUE = "blue",
    PURPLE = "purple",
    BROWN = "brown",
    BLACK = "black",
    GREY = "grey",
    WHITE = "white",
}
export interface IRoundButton {
    color?: EColor;
    disabled?: boolean;
    float?: EDirection;
    height?: number;
    label?: string;
    margin?: number;
    width?: number;
}
export default class Button extends React.Component<IRoundButton, {}> {
    render(): JSX.Element;
}
